# Lazy loading - jQuery plugin
This is a basic example of my approach to the lazy loading.

Images on the site are loaded only when we scroll down to it.

## Requirements
* jQuery 3.4.1

This is the version I was working with. I haven't tested it out with others.
## Download
You can download the plugin together with example [here](https://raw.githubusercontent.com/pulamc/lazy-load/master/lazy-load.zip).
## Installation
We have to include jQuery, plugin script and plugin stylesheet to make it work.
```html
<link rel="stylesheet" href="css/lazy-load.css">
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script src="js/lazy-load.js"></script>
```
## How to use
In our script we have to initialize the plugin. We do that with following code
```javascript
(function($){

    $(document).ready(()=>{
        $('#my-element').lazyLoad();
    });

}(jQuery))
```
Where element with id **#my-element** has to be present in html code
```html
<body>
    ...
    <ul id="my-element">
        <!-- Content goes here --> 
    </ul>
    ...
</body>
```
## Example
To see this plugin in action, please visit [this link](https://pulamc.github.io/lazy-load/example/index.html).